Index: uspace/srv/audio/hound/hound.c
===================================================================
--- uspace/srv/audio/hound/hound.c	(revision 8a637a47d260c9852eb7bbefc705cba01e8ef051)
+++ uspace/srv/audio/hound/hound.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -110,5 +110,5 @@
 }
 
-static int hound_disconnect_internal(hound_t *hound, const char* source_name, const char* sink_name);
+static errno_t hound_disconnect_internal(hound_t *hound, const char* source_name, const char* sink_name);
 
 /**
@@ -162,5 +162,5 @@
  * @return Error code.
  */
-int hound_init(hound_t *hound)
+errno_t hound_init(hound_t *hound)
 {
 	assert(hound);
@@ -180,5 +180,5 @@
  * @return Error code.
  */
-int hound_add_ctx(hound_t *hound, hound_ctx_t *ctx)
+errno_t hound_add_ctx(hound_t *hound, hound_ctx_t *ctx)
 {
 	log_info("Trying to add context %p", ctx);
@@ -189,5 +189,5 @@
 	list_append(&ctx->link, &hound->contexts);
 	fibril_mutex_unlock(&hound->list_guard);
-	int ret = EOK;
+	errno_t ret = EOK;
 	if (ret == EOK && ctx->source)
 		ret = hound_add_source(hound, ctx->source);
@@ -208,5 +208,5 @@
  * @return Error code.
  */
-int hound_remove_ctx(hound_t *hound, hound_ctx_t *ctx)
+errno_t hound_remove_ctx(hound_t *hound, hound_ctx_t *ctx)
 {
 	assert(hound);
@@ -254,5 +254,5 @@
  * @return Error code.
  */
-int hound_add_device(hound_t *hound, service_id_t id, const char *name)
+errno_t hound_add_device(hound_t *hound, service_id_t id, const char *name)
 {
 	log_verbose("Adding device \"%s\", service: %zu", name, id);
@@ -283,5 +283,5 @@
 	}
 
-	const int ret = audio_device_init(dev, id, name);
+	const errno_t ret = audio_device_init(dev, id, name);
 	if (ret != EOK) {
 		log_debug("Failed to initialize new audio device: %s",
@@ -296,5 +296,5 @@
 	audio_source_t *source = audio_device_get_source(dev);
 	if (source) {
-		const int ret = hound_add_source(hound, source);
+		const errno_t ret = hound_add_source(hound, source);
 		if (ret != EOK) {
 			log_debug("Failed to add device source: %s",
@@ -308,5 +308,5 @@
 	audio_sink_t *sink = audio_device_get_sink(dev);
 	if (sink) {
-		const int ret = hound_add_sink(hound, sink);
+		const errno_t ret = hound_add_sink(hound, sink);
 		if (ret != EOK) {
 			log_debug("Failed to add device sink: %s",
@@ -330,5 +330,5 @@
  * @return Error code.
  */
-int hound_add_source(hound_t *hound, audio_source_t *source)
+errno_t hound_add_source(hound_t *hound, audio_source_t *source)
 {
 	assert(hound);
@@ -354,5 +354,5 @@
  * @return Error code.
  */
-int hound_add_sink(hound_t *hound, audio_sink_t *sink)
+errno_t hound_add_sink(hound_t *hound, audio_sink_t *sink)
 {
 	assert(hound);
@@ -378,5 +378,5 @@
  * @return Error code.
  */
-int hound_remove_source(hound_t *hound, audio_source_t *source)
+errno_t hound_remove_source(hound_t *hound, audio_source_t *source)
 {
 	assert(hound);
@@ -395,5 +395,5 @@
  * @return Error code.
  */
-int hound_remove_sink(hound_t *hound, audio_sink_t *sink)
+errno_t hound_remove_sink(hound_t *hound, audio_sink_t *sink)
 {
 	assert(hound);
@@ -413,5 +413,5 @@
  * @return Error code.
  */
-int hound_list_sources(hound_t *hound, const char ***list, size_t *size)
+errno_t hound_list_sources(hound_t *hound, const char ***list, size_t *size)
 {
 	assert(hound);
@@ -428,5 +428,5 @@
 	}
 	const char **names = calloc(count, sizeof(char *));
-	int ret = names ? EOK : ENOMEM;
+	errno_t ret = names ? EOK : ENOMEM;
 	for (unsigned long i = 0; i < count && ret == EOK; ++i) {
 		link_t *slink = list_nth(&hound->sources, i);
@@ -455,5 +455,5 @@
  * @return Error code.
  */
-int hound_list_sinks(hound_t *hound, const char ***list, size_t *size)
+errno_t hound_list_sinks(hound_t *hound, const char ***list, size_t *size)
 {
 	assert(hound);
@@ -470,5 +470,5 @@
 	}
 	const char **names = calloc(count, sizeof(char *));
-	int ret = names ? EOK : ENOMEM;
+	errno_t ret = names ? EOK : ENOMEM;
 	for (size_t i = 0; i < count && ret == EOK; ++i) {
 		link_t *slink = list_nth(&hound->sinks, i);
@@ -501,5 +501,5 @@
  * identifiers with the same index are connected.
  */
-int hound_list_connections(hound_t *hound, const char ***sources,
+errno_t hound_list_connections(hound_t *hound, const char ***sources,
     const char ***sinks, size_t *size)
 {
@@ -516,5 +516,5 @@
  * @return Error code.
  */
-int hound_connect(hound_t *hound, const char* source_name, const char* sink_name)
+errno_t hound_connect(hound_t *hound, const char* source_name, const char* sink_name)
 {
 	assert(hound);
@@ -555,9 +555,9 @@
  * @return Error code.
  */
-int hound_disconnect(hound_t *hound, const char* source_name, const char* sink_name)
-{
-	assert(hound);
-	fibril_mutex_lock(&hound->list_guard);
-	const int ret = hound_disconnect_internal(hound, source_name, sink_name);
+errno_t hound_disconnect(hound_t *hound, const char* source_name, const char* sink_name)
+{
+	assert(hound);
+	fibril_mutex_lock(&hound->list_guard);
+	const errno_t ret = hound_disconnect_internal(hound, source_name, sink_name);
 	fibril_mutex_unlock(&hound->list_guard);
 	return ret;
@@ -573,5 +573,5 @@
  * This function has to be called with the list_guard lock held.
  */
-static int hound_disconnect_internal(hound_t *hound, const char* source_name,
+static errno_t hound_disconnect_internal(hound_t *hound, const char* source_name,
     const char* sink_name)
 {
